%bcond_with gnuplot

Summary:       C library for efficient image processing and image analysis operations
Name:          leptonica
Version:       1.84.0
Release:       3%{?dist}
License:       Leptonica
URL:           https://github.com/danbloomberg/leptonica
Source0:       https://github.com/DanBloomberg/leptonica/archive/%{version}/%{name}-%{version}.tar.gz

Patch3000:     leptonica_cmake.patch

BuildRequires: cmake gcc-c++ giflib-devel libjpeg-devel libpng-devel
BuildRequires: libtiff-devel libtool libwebp-devel make zlib-devel
%if %{with gnuplot}
BuildRequires: gnuplot
%endif

%description
The library supports many operations that are useful on
 * Document images
 * Natural images

Fundamental image processing and image analysis operations
 * Rasterop (aka bitblt)
 * Affine transforms (scaling, translation, rotation, shear) on images of arbitrary pixel depth
 * Projective and bi-linear transforms
 * Binary and gray scale morphology, rank order filters, and convolution
 * Seed-fill and connected components
 * Image transformations with changes in pixel depth, both at the same scale and with scale change
 * Pixelwise masking, blending, enhancement, arithmetic ops, etc.

%package devel
Summary:       Development files for %{name}
Requires:      %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains header files for developing applications that use %{name}.

%package tools
Summary:       Leptonica utility tools
Requires:      %{name} = %{version}-%{release}

%description tools
The %{name}-tools package contains leptonica utility tools.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%cmake -DBUILD_PROG=ON
%cmake_build

%install
%cmake_install
ln -s %{_libdir}/libleptonica.so %{buildroot}%{_libdir}/liblept.so

%check
%ctest

%files
%license leptonica-license.txt
%doc README.html version-notes.html
%{_libdir}/libleptonica.so.*

%files devel
%{_includedir}/%{name}
%{_libdir}/liblept.so
%{_libdir}/libleptonica.so
%{_libdir}/pkgconfig/lept.pc
%{_libdir}/cmake/leptonica/

%files tools
%{_bindir}/*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.84.0-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.84.0-2
- Rebuilt for loongarch release

* Wed Jan 03 2024 Upgrade Robot <upbot@opencloudos.org> - 1.84.0-1
- Upgrade to version 1.84.0

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.82.0-5
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 02 2023 kianli <kianli@tencent.com> - 1.82.0-4
- Rebuilt for libtiff 4.5.1

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.82.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.82.0-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Mar 21 2023 Shuo Wang <abushwang@tencent.com> - 1.82.0-1
- initial build
